import { RuntimeModelField } from '@oinone/kunlun-engine';
import { FormFieldWidget } from '../../../basic';
export declare enum InputPreSuffixType {
    ICON = "ICON",
    TEXT = "TEXT"
}
/**
 * 输入型组件抽象类
 */
export declare class FormInputAbstractFieldWidget<Value = string, Field extends RuntimeModelField = RuntimeModelField> extends FormFieldWidget<Value, Field> {
    /**
     * 前缀具体内容
     * @protected
     */
    protected get prefix(): string | null | undefined;
    /**
     * 前缀类型
     * @protected
     */
    protected get prefixType(): any;
    /**
     * 前缀是否存储
     * @protected
     */
    protected get prefixStore(): any;
    /**
     * 后缀具体内容
     * @protected
     */
    protected get suffix(): string | null | undefined;
    /**
     * 后缀类型
     * @protected
     */
    protected get suffixType(): any;
    /**
     * 后缀是否存储
     * @protected
     */
    protected get suffixStore(): any;
    protected get prefixes(): any;
    protected get type(): any;
    protected addPrefixSuffix(e: string): string;
    protected removePrefixSuffix(e: string): string;
    protected inputRealValue: any;
    protected prefixesValue: any;
    changeInputRealValue(val: any): void;
    changePrefixesValue(val: any): void;
    /**
     * @deprecated please move to the place of use.
     */
    protected get mode(): any;
    /**
     * @deprecated invalid prop
     */
    protected get showPrefix(): any;
    /**
     * @deprecated invalid prop
     */
    protected get showSuffix(): any;
    /**
     * @deprecated invalid prop
     */
    protected get independentlyEditable(): boolean | undefined;
}
